#ifndef GSMHACKING_H
#define GSMHACKING_H
#include <sys/stat.h>
#include <sys/types.h>
#ifndef _MSC_VER
#include <dirent.h>
#ifdef __CYGWIN32__
/* don't want getopt.h */
#include <sys/unistd.h>
#else
#include <unistd.h>
#endif
#endif
#include <ctype.h>
#include <errno.h>
#include <fcntl.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>

#ifdef _MSC_VER
#ifndef GSM_API
#define __declspec(dllexport)
#endif
#else
#define GSM_API
#endif

#include "data.h"
#include "maths.h"
#include "ms3d.h"
#include "debug.h"
#include "memory.h"
#include "gll.h"
#include "mapping.h"
#include "convert.h"
#include "export.h"
#include "imagemagick.h"

#include "version.h"

#ifdef WIN32
#define PATHSEP '\\'
#ifdef _MSC_VER
#define snprintf _snprintf
#endif
#else
#define PATHSEP '/'
#endif

extern int gsm_verbose;
extern int gsm_debug;
extern int gsm_quiet;
extern int gsm_showmissing;
extern FILE *gsm_error;
extern char gsm_buffer[];

#endif
