#ifndef MEMORY_H
#define MEMORY_H

#include <signal.h>

#define str_diff ! str_equals

GSM_API void **alloc_lots(unsigned short, char *, size_t, void *(*)());
/* args: num_new, name, size, alloc_fn, num_orig, orig_ptr, size_one */
GSM_API void **alloc_more(unsigned short, char *, size_t, void *(*)(), unsigned short, void **, size_t);
GSM_API void *alloc_one(char *, size_t);
GSM_API unsigned char *alloc_name(char *, unsigned short *);
GSM_API unsigned char *alloc_char();
GSM_API unsigned short *alloc_short();
GSM_API float *alloc_float();
GSM_API void free_structs(char *, unsigned short, void **);
GSM_API void format_unknown(char *, unsigned char *, unsigned int);
GSM_API int str_equals(char *, char *);
GSM_API int str_equiv(char *, char *);
GSM_API void catch_segv();
GSM_API char *get_dirname(char *, unsigned short *, int *);
GSM_API char *add_suffix(char *, char *);
GSM_API char *add_prefix(char *, char *);

#endif
