#include "gsmhacking.h"

/* these are the canonical names */
char *get_biped_bone_name(unsigned short type, unsigned short number) {
  if (type == GSM_TYPE_SWT) {
    if (number == SWT_BIPED_PELVIS) return BIPED_PELVIS;
    if (number == SWT_BIPED_SPINE) return BIPED_SPINE;
    if (number == SWT_BIPED_SPINE1) return BIPED_SPINE1;
    if (number == SWT_BIPED_SPINE2) return BIPED_SPINE2;
    if (number == SWT_BIPED_NECK) return BIPED_NECK;
    if (number == SWT_BIPED_HEAD) return BIPED_HEAD;
    if (number == SWT_BIPED_L_CLAVICLE) return BIPED_L_CLAVICLE;
    if (number == SWT_BIPED_L_UPPERARM) return BIPED_L_UPPERARM;
    if (number == SWT_BIPED_L_FOREARM) return BIPED_L_FOREARM;
    if (number == SWT_BIPED_L_HAND) return BIPED_L_HAND;
    if (number == SWT_BIPED_L_FINGER0) return BIPED_L_FINGER0;
    if (number == SWT_BIPED_L_FINGER01) return BIPED_L_FINGER01;
    if (number == SWT_BIPED_L_FINGER02) return BIPED_L_FINGER02;
    if (number == SWT_BIPED_L_FINGER1) return BIPED_L_FINGER1;
    if (number == SWT_BIPED_L_FINGER11) return BIPED_L_FINGER11;
    if (number == SWT_BIPED_L_FINGER12) return BIPED_L_FINGER12;
    if (number == SWT_BIPED_L_FINGER2) return BIPED_L_FINGER2;
    if (number == SWT_BIPED_L_FINGER21) return BIPED_L_FINGER21;
    if (number == SWT_BIPED_L_FINGER22) return BIPED_L_FINGER22;
    if (number == SWT_BIPED_L_FINGER3) return BIPED_L_FINGER3;
    if (number == SWT_BIPED_L_FINGER31) return BIPED_L_FINGER31;
    if (number == SWT_BIPED_L_FINGER32) return BIPED_L_FINGER32;
    if (number == SWT_BIPED_L_FINGER4) return BIPED_L_FINGER4;
    if (number == SWT_BIPED_L_FINGER41) return BIPED_L_FINGER41;
    if (number == SWT_BIPED_L_FINGER42) return BIPED_L_FINGER42;
    if (number == SWT_BIPED_R_CLAVICLE) return BIPED_R_CLAVICLE;
    if (number == SWT_BIPED_R_UPPERARM) return BIPED_R_UPPERARM;
    if (number == SWT_BIPED_R_FOREARM) return BIPED_R_FOREARM;
    if (number == SWT_BIPED_R_HAND) return BIPED_R_HAND;
    if (number == SWT_BIPED_R_FINGER0) return BIPED_R_FINGER0;
    if (number == SWT_BIPED_R_FINGER01) return BIPED_R_FINGER01;
    if (number == SWT_BIPED_R_FINGER02) return BIPED_R_FINGER02;
    if (number == SWT_BIPED_R_FINGER1) return BIPED_R_FINGER1;
    if (number == SWT_BIPED_R_FINGER11) return BIPED_R_FINGER11;
    if (number == SWT_BIPED_R_FINGER12) return BIPED_R_FINGER12;
    if (number == SWT_BIPED_R_FINGER2) return BIPED_R_FINGER2;
    if (number == SWT_BIPED_R_FINGER21) return BIPED_R_FINGER21;
    if (number == SWT_BIPED_R_FINGER22) return BIPED_R_FINGER22;
    if (number == SWT_BIPED_R_FINGER3) return BIPED_R_FINGER3;
    if (number == SWT_BIPED_R_FINGER31) return BIPED_R_FINGER31;
    if (number == SWT_BIPED_R_FINGER32) return BIPED_R_FINGER32;
    if (number == SWT_BIPED_R_FINGER4) return BIPED_R_FINGER4;
    if (number == SWT_BIPED_R_FINGER41) return BIPED_R_FINGER41;
    if (number == SWT_BIPED_R_FINGER42) return BIPED_R_FINGER42;
    if (number == SWT_BIPED_L_THIGH) return BIPED_L_THIGH;
    if (number == SWT_BIPED_L_CALF) return BIPED_L_CALF;
    if (number == SWT_BIPED_L_FOOT) return BIPED_L_FOOT;
    if (number == SWT_BIPED_L_TOE0) return BIPED_L_TOE0;
    if (number == SWT_BIPED_R_THIGH) return BIPED_R_THIGH;
    if (number == SWT_BIPED_R_CALF) return BIPED_R_CALF;
    if (number == SWT_BIPED_R_FOOT) return BIPED_R_FOOT;
    if (number == SWT_BIPED_R_TOE0) return BIPED_R_TOE0;
  }
  else if (type == GSM_TYPE_KID) {
    if (number == KID_BIPED_PELVIS) return BIPED_PELVIS;
    if (number == KID_BIPED_SPINE) return BIPED_SPINE;
    if (number == KID_BIPED_SPINE1) return BIPED_SPINE1;
    if (number == KID_BIPED_SPINE2) return BIPED_SPINE2;
    if (number == KID_BIPED_NECK) return BIPED_NECK;
    if (number == KID_BIPED_HEAD) return BIPED_HEAD;
    if (number == KID_BIPED_PONYTAIL1) return BIPED_PONYTAIL1;
    if (number == KID_BIPED_PONYTAIL11) return BIPED_PONYTAIL11;
    if (number == KID_BIPED_PONYTAIL12) return BIPED_PONYTAIL12;
    if (number == KID_BIPED_PONYTAIL2) return BIPED_PONYTAIL2;
    if (number == KID_BIPED_PONYTAIL21) return BIPED_PONYTAIL21;
    if (number == KID_BIPED_PONYTAIL22) return BIPED_PONYTAIL22;
    if (number == KID_BIPED_L_CLAVICLE) return BIPED_L_CLAVICLE;
    if (number == KID_BIPED_L_UPPERARM) return BIPED_L_UPPERARM;
    if (number == KID_BIPED_L_FOREARM) return BIPED_L_FOREARM;
    if (number == KID_BIPED_L_HAND) return BIPED_L_HAND;
    if (number == KID_BIPED_L_FINGER0) return BIPED_L_FINGER0;
    if (number == KID_BIPED_L_FINGER01) return BIPED_L_FINGER01;
    if (number == KID_BIPED_L_FINGER1) return BIPED_L_FINGER1;
    if (number == KID_BIPED_L_FINGER11) return BIPED_L_FINGER11;
    if (number == KID_BIPED_L_FINGER2) return BIPED_L_FINGER2;
    if (number == KID_BIPED_L_FINGER21) return BIPED_L_FINGER21;
    if (number == KID_BIPED_R_CLAVICLE) return BIPED_R_CLAVICLE;
    if (number == KID_BIPED_R_UPPERARM) return BIPED_R_UPPERARM;
    if (number == KID_BIPED_R_FOREARM) return BIPED_R_FOREARM;
    if (number == KID_BIPED_R_HAND) return BIPED_R_HAND;
    if (number == KID_BIPED_R_FINGER0) return BIPED_R_FINGER0;
    if (number == KID_BIPED_R_FINGER01) return BIPED_R_FINGER01;
    if (number == KID_BIPED_R_FINGER1) return BIPED_R_FINGER1;
    if (number == KID_BIPED_R_FINGER11) return BIPED_R_FINGER11;
    if (number == KID_BIPED_R_FINGER2) return BIPED_R_FINGER2;
    if (number == KID_BIPED_R_FINGER21) return BIPED_R_FINGER21;
    if (number == KID_BIPED_L_THIGH) return BIPED_L_THIGH;
    if (number == KID_BIPED_L_CALF) return BIPED_L_CALF;
    if (number == KID_BIPED_L_FOOT) return BIPED_L_FOOT;
    if (number == KID_BIPED_L_TOE0) return BIPED_L_TOE0;
    if (number == KID_BIPED_R_THIGH) return BIPED_R_THIGH;
    if (number == KID_BIPED_R_CALF) return BIPED_R_CALF;
    if (number == KID_BIPED_R_FOOT) return BIPED_R_FOOT;
    if (number == KID_BIPED_R_TOE0) return BIPED_R_TOE0;
  }
  else if (type == GSM_TYPE_TAC) {
    if (number == TAC_BIPED_PELVIS) return BIPED_PELVIS;
    if (number == TAC_BIPED_SPINE) return BIPED_SPINE;
    if (number == TAC_BIPED_SPINE1) return BIPED_SPINE1;
    if (number == TAC_BIPED_SPINE2) return BIPED_SPINE2;
    if (number == TAC_BIPED_NECK) return BIPED_NECK;
    if (number == TAC_BIPED_HEAD) return BIPED_HEAD;
    if (number == TAC_BIPED_PONYTAIL1) return BIPED_PONYTAIL1;
    if (number == TAC_BIPED_PONYTAIL11) return BIPED_PONYTAIL11;
    if (number == TAC_BIPED_PONYTAIL12) return BIPED_PONYTAIL12;
    if (number == TAC_BIPED_L_CLAVICLE) return BIPED_L_CLAVICLE;
    if (number == TAC_BIPED_L_UPPERARM) return BIPED_L_UPPERARM;
    if (number == TAC_BIPED_L_FOREARM) return BIPED_L_FOREARM;
    if (number == TAC_BIPED_L_HAND) return BIPED_L_HAND;
    if (number == TAC_BIPED_L_FINGER0) return BIPED_L_FINGER0;
    if (number == TAC_BIPED_L_FINGER01) return BIPED_L_FINGER01;
    if (number == TAC_BIPED_L_FINGER1) return BIPED_L_FINGER1;
    if (number == TAC_BIPED_L_FINGER11) return BIPED_L_FINGER11;
    if (number == TAC_BIPED_L_FINGER2) return BIPED_L_FINGER2;
    if (number == TAC_BIPED_L_FINGER21) return BIPED_L_FINGER21;
    if (number == TAC_BIPED_R_CLAVICLE) return BIPED_R_CLAVICLE;
    if (number == TAC_BIPED_R_UPPERARM) return BIPED_R_UPPERARM;
    if (number == TAC_BIPED_R_FOREARM) return BIPED_R_FOREARM;
    if (number == TAC_BIPED_R_HAND) return BIPED_R_HAND;
    if (number == TAC_BIPED_R_FINGER0) return BIPED_R_FINGER0;
    if (number == TAC_BIPED_R_FINGER01) return BIPED_R_FINGER01;
    if (number == TAC_BIPED_R_FINGER1) return BIPED_R_FINGER1;
    if (number == TAC_BIPED_R_FINGER11) return BIPED_R_FINGER11;
    if (number == TAC_BIPED_R_FINGER2) return BIPED_R_FINGER2;
    if (number == TAC_BIPED_R_FINGER21) return BIPED_R_FINGER21;
    if (number == TAC_BIPED_L_THIGH) return BIPED_L_THIGH;
    if (number == TAC_BIPED_L_CALF) return BIPED_L_CALF;
    if (number == TAC_BIPED_L_FOOT) return BIPED_L_FOOT;
    if (number == TAC_BIPED_L_TOE0) return BIPED_L_TOE0;
    if (number == TAC_BIPED_R_THIGH) return BIPED_R_THIGH;
    if (number == TAC_BIPED_R_CALF) return BIPED_R_CALF;
    if (number == TAC_BIPED_R_FOOT) return BIPED_R_FOOT;
    if (number == TAC_BIPED_R_TOE0) return BIPED_R_TOE0;
  }
  else if (type == GSM_TYPE_BF1) {
    if (number == BF1_BIPED_PELVIS) return BIPED_PELVIS;
    if (number == BF1_BIPED_SPINE) return BIPED_SPINE;
    if (number == BF1_BIPED_SPINE1) return BIPED_SPINE1;
    if (number == BF1_BIPED_SPINE2) return BIPED_SPINE2;
    if (number == BF1_BIPED_NECK) return BIPED_NECK;
    if (number == BF1_BIPED_HEAD) return BIPED_HEAD;
    if (number == BF1_BIPED_L_CLAVICLE) return BIPED_L_CLAVICLE;
    if (number == BF1_BIPED_L_UPPERARM) return BIPED_L_UPPERARM;
    if (number == BF1_BIPED_L_FOREARM) return BIPED_L_FOREARM;
    if (number == BF1_BIPED_L_HAND) return BIPED_L_HAND;
    if (number == BF1_BIPED_L_FINGER0) return BIPED_L_FINGER0;
    if (number == BF1_BIPED_L_FINGER01) return BIPED_L_FINGER01;
    if (number == BF1_BIPED_L_FINGER1) return BIPED_L_FINGER1;
    if (number == BF1_BIPED_L_FINGER11) return BIPED_L_FINGER11;
    if (number == BF1_BIPED_L_FINGER2) return BIPED_L_FINGER2;
    if (number == BF1_BIPED_L_FINGER21) return BIPED_L_FINGER21;
    if (number == BF1_BIPED_R_CLAVICLE) return BIPED_R_CLAVICLE;
    if (number == BF1_BIPED_R_UPPERARM) return BIPED_R_UPPERARM;
    if (number == BF1_BIPED_R_FOREARM) return BIPED_R_FOREARM;
    if (number == BF1_BIPED_R_HAND) return BIPED_R_HAND;
    if (number == BF1_BIPED_R_FINGER0) return BIPED_R_FINGER0;
    if (number == BF1_BIPED_R_FINGER01) return BIPED_R_FINGER01;
    if (number == BF1_BIPED_R_FINGER1) return BIPED_R_FINGER1;
    if (number == BF1_BIPED_R_FINGER11) return BIPED_R_FINGER11;
    if (number == BF1_BIPED_R_FINGER2) return BIPED_R_FINGER2;
    if (number == BF1_BIPED_R_FINGER21) return BIPED_R_FINGER21;
    if (number == BF1_BIPED_L_THIGH) return BIPED_L_THIGH;
    if (number == BF1_BIPED_L_CALF) return BIPED_L_CALF;
    if (number == BF1_BIPED_L_FOOT) return BIPED_L_FOOT;
    if (number == BF1_BIPED_L_TOE0) return BIPED_L_TOE0;
    if (number == BF1_BIPED_R_THIGH) return BIPED_R_THIGH;
    if (number == BF1_BIPED_R_CALF) return BIPED_R_CALF;
    if (number == BF1_BIPED_R_FOOT) return BIPED_R_FOOT;
    if (number == BF1_BIPED_R_TOE0) return BIPED_R_TOE0;
  }
  return "BOGUS";
}

int reassign_bone_id(int from, int to, unsigned short bone_id) {
  if (from == to) return (int) bone_id;

  switch (from) {
    case GSM_TYPE_SWT: return reassign_bone_id_swt(to, bone_id); break;
    case GSM_TYPE_KID: return reassign_bone_id_kid(to, bone_id); break;
    case GSM_TYPE_TAC: return reassign_bone_id_tac(to, bone_id); break;
    case GSM_TYPE_BF1: return reassign_bone_id_bf1(to, bone_id); break;
  }

  ERROR("don't know how to reassign type %d bone %u to type %d\n", from, bone_id, to);
  return -1;
}

int reassign_bone_id_swt(int to, unsigned short bone_id) {
  switch (to) {
    case GSM_TYPE_KID:
      reassign_bone_id_swt_to_kid(bone_id);
      break;
    case GSM_TYPE_TAC:
    case GSM_TYPE_MHx:
      reassign_bone_id_swt_to_tac(bone_id);
      break;
    case GSM_TYPE_BF1:
    case GSM_TYPE_FHx:
      reassign_bone_id_swt_to_bf1(bone_id);
      break;
  }

  ERROR("don't know how to reassign type SWT bone %u to type %d\n", bone_id, to);
  return -1;
}

int reassign_bone_id_kid(int to, unsigned short bone_id) {
  switch (to) {
    case GSM_TYPE_SWT: reassign_bone_id_kid_to_swt(bone_id); break;
    case GSM_TYPE_TAC:
    case GSM_TYPE_MHx:
      reassign_bone_id_kid_to_tac(bone_id);
      break;
    case GSM_TYPE_BF1: reassign_bone_id_kid_to_bf1(bone_id); break;
  }

  ERROR("don't know how to reassign type KID bone %u to type %d\n", bone_id, to);
  return -1;
}

int reassign_bone_id_tac(int to, unsigned short bone_id) {
  switch (to) {
    case GSM_TYPE_SWT:
      reassign_bone_id_tac_to_swt(bone_id);
      break;
    case GSM_TYPE_KID:
      reassign_bone_id_tac_to_kid(bone_id);
      break;
    case GSM_TYPE_BF1:
    case GSM_TYPE_FHx:
      reassign_bone_id_tac_to_swt(bone_id);
      break;
  }

  ERROR("don't know how to reassign type TAC bone %u to type %d\n", bone_id, to);
  return -1;
}

int reassign_bone_id_bf1(int to, unsigned short bone_id) {
  switch (to) {
    case GSM_TYPE_SWT:
      reassign_bone_id_bf1_to_swt(bone_id);
      break;
    case GSM_TYPE_KID:
      reassign_bone_id_bf1_to_kid(bone_id);
      break;
  }

  ERROR("don't know how to reassign type BF1 bone %u to type %d\n", bone_id, to);
  return -1;
}

int reassign_bone_id_swt_to_kid(unsigned short bone_id) {
  switch (bone_id) {
    case SWT_BIPED_PELVIS: return KID_BIPED_PELVIS;
    case SWT_BIPED_SPINE: return KID_BIPED_SPINE;
    case SWT_BIPED_SPINE1: return KID_BIPED_SPINE1;
    case SWT_BIPED_SPINE2: return KID_BIPED_SPINE2;
    case SWT_BIPED_NECK: return KID_BIPED_NECK;
    case SWT_BIPED_HEAD: return KID_BIPED_HEAD;
    case SWT_BIPED_L_CLAVICLE: return KID_BIPED_L_CLAVICLE;
    case SWT_BIPED_L_UPPERARM: return KID_BIPED_L_UPPERARM;
    case SWT_BIPED_L_FOREARM: return KID_BIPED_L_FOREARM;
    case SWT_BIPED_L_HAND: return KID_BIPED_L_HAND;
    case SWT_BIPED_L_FINGER0: return KID_BIPED_L_FINGER0;
    case SWT_BIPED_L_FINGER01: return KID_BIPED_L_FINGER01;
    /* extra fingers unique to SWT */
    case SWT_BIPED_L_FINGER02:
    case SWT_BIPED_L_FINGER12:
    case SWT_BIPED_L_FINGER22:
    case SWT_BIPED_L_FINGER3:
    case SWT_BIPED_L_FINGER31:
    case SWT_BIPED_L_FINGER32:
    case SWT_BIPED_L_FINGER4:
    case SWT_BIPED_L_FINGER41:
    case SWT_BIPED_L_FINGER42:
    case SWT_BIPED_R_FINGER02:
    case SWT_BIPED_R_FINGER12:
    case SWT_BIPED_R_FINGER22:
    case SWT_BIPED_R_FINGER3:
    case SWT_BIPED_R_FINGER31:
    case SWT_BIPED_R_FINGER32:
    case SWT_BIPED_R_FINGER4:
    case SWT_BIPED_R_FINGER41:
    case SWT_BIPED_R_FINGER42:
      return BONE_FIRST_LINK;
    /* OK */
    case SWT_BIPED_L_FINGER1: return KID_BIPED_L_FINGER1;
    case SWT_BIPED_L_FINGER11: return KID_BIPED_L_FINGER11;
    case SWT_BIPED_L_FINGER2: return KID_BIPED_L_FINGER2;
    case SWT_BIPED_L_FINGER21: return KID_BIPED_L_FINGER21;
    case SWT_BIPED_R_CLAVICLE: return KID_BIPED_R_CLAVICLE;
    case SWT_BIPED_R_UPPERARM: return KID_BIPED_R_UPPERARM;
    case SWT_BIPED_R_FOREARM: return KID_BIPED_R_FOREARM;
    case SWT_BIPED_R_HAND: return KID_BIPED_R_HAND;
    case SWT_BIPED_R_FINGER0: return KID_BIPED_R_FINGER0;
    case SWT_BIPED_R_FINGER01: return KID_BIPED_R_FINGER01;
    case SWT_BIPED_R_FINGER1: return KID_BIPED_R_FINGER1;
    case SWT_BIPED_R_FINGER11: return KID_BIPED_R_FINGER11;
    case SWT_BIPED_R_FINGER2: return KID_BIPED_R_FINGER2;
    case SWT_BIPED_R_FINGER21: return KID_BIPED_R_FINGER21;
    case SWT_BIPED_L_THIGH: return KID_BIPED_L_THIGH;
    case SWT_BIPED_L_CALF: return KID_BIPED_L_CALF;
    case SWT_BIPED_L_FOOT: return KID_BIPED_L_FOOT;
    case SWT_BIPED_L_TOE0: return KID_BIPED_L_TOE0;
    case SWT_BIPED_R_THIGH: return KID_BIPED_R_THIGH;
    case SWT_BIPED_R_CALF: return KID_BIPED_R_CALF;
    case SWT_BIPED_R_FOOT: return KID_BIPED_R_FOOT;
    case SWT_BIPED_R_TOE0: return KID_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of KID skeleton\n", bone_id);
  return -1;
}

int reassign_bone_id_swt_to_tac(unsigned short bone_id) {
  switch (bone_id) {
    case SWT_BIPED_PELVIS: return TAC_BIPED_PELVIS;
    case SWT_BIPED_SPINE: return TAC_BIPED_SPINE;
    case SWT_BIPED_SPINE1: return TAC_BIPED_SPINE1;
    case SWT_BIPED_SPINE2: return TAC_BIPED_SPINE2;
    case SWT_BIPED_NECK: return TAC_BIPED_NECK;
    case SWT_BIPED_HEAD: return TAC_BIPED_HEAD;
    case SWT_BIPED_L_CLAVICLE: return TAC_BIPED_L_CLAVICLE;
    case SWT_BIPED_L_UPPERARM: return TAC_BIPED_L_UPPERARM;
    case SWT_BIPED_L_FOREARM: return TAC_BIPED_L_FOREARM;
    case SWT_BIPED_L_HAND: return TAC_BIPED_L_HAND;
    case SWT_BIPED_L_FINGER0: return TAC_BIPED_L_FINGER0;
    case SWT_BIPED_L_FINGER01: return TAC_BIPED_L_FINGER01;
    /* extra fingers unique to SWT */
    case SWT_BIPED_L_FINGER02:
    case SWT_BIPED_L_FINGER12:
    case SWT_BIPED_L_FINGER22:
    case SWT_BIPED_L_FINGER3:
    case SWT_BIPED_L_FINGER31:
    case SWT_BIPED_L_FINGER32:
    case SWT_BIPED_L_FINGER4:
    case SWT_BIPED_L_FINGER41:
    case SWT_BIPED_L_FINGER42:
    case SWT_BIPED_R_FINGER02:
    case SWT_BIPED_R_FINGER12:
    case SWT_BIPED_R_FINGER22:
    case SWT_BIPED_R_FINGER3:
    case SWT_BIPED_R_FINGER31:
    case SWT_BIPED_R_FINGER32:
    case SWT_BIPED_R_FINGER4:
    case SWT_BIPED_R_FINGER41:
    case SWT_BIPED_R_FINGER42:
      return BONE_FIRST_LINK;
    /* OK */
    case SWT_BIPED_L_FINGER1: return TAC_BIPED_L_FINGER1;
    case SWT_BIPED_L_FINGER11: return TAC_BIPED_L_FINGER11;
    case SWT_BIPED_L_FINGER2: return TAC_BIPED_L_FINGER2;
    case SWT_BIPED_L_FINGER21: return TAC_BIPED_L_FINGER21;
    case SWT_BIPED_R_CLAVICLE: return TAC_BIPED_R_CLAVICLE;
    case SWT_BIPED_R_UPPERARM: return TAC_BIPED_R_UPPERARM;
    case SWT_BIPED_R_FOREARM: return TAC_BIPED_R_FOREARM;
    case SWT_BIPED_R_HAND: return TAC_BIPED_R_HAND;
    case SWT_BIPED_R_FINGER0: return TAC_BIPED_R_FINGER0;
    case SWT_BIPED_R_FINGER01: return TAC_BIPED_R_FINGER01;
    case SWT_BIPED_R_FINGER1: return TAC_BIPED_R_FINGER1;
    case SWT_BIPED_R_FINGER11: return TAC_BIPED_R_FINGER11;
    case SWT_BIPED_R_FINGER2: return TAC_BIPED_R_FINGER2;
    case SWT_BIPED_R_FINGER21: return TAC_BIPED_R_FINGER21;
    case SWT_BIPED_L_THIGH: return TAC_BIPED_L_THIGH;
    case SWT_BIPED_L_CALF: return TAC_BIPED_L_CALF;
    case SWT_BIPED_L_FOOT: return TAC_BIPED_L_FOOT;
    case SWT_BIPED_L_TOE0: return TAC_BIPED_L_TOE0;
    case SWT_BIPED_R_THIGH: return TAC_BIPED_R_THIGH;
    case SWT_BIPED_R_CALF: return TAC_BIPED_R_CALF;
    case SWT_BIPED_R_FOOT: return TAC_BIPED_R_FOOT;
    case SWT_BIPED_R_TOE0: return TAC_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of SWT skeleton\n", bone_id);
  return -1;
}

int reassign_bone_id_swt_to_bf1(unsigned short bone_id) {
  switch (bone_id) {
    case SWT_BIPED_PELVIS: return BF1_BIPED_PELVIS;
    case SWT_BIPED_SPINE: return BF1_BIPED_SPINE;
    case SWT_BIPED_SPINE1: return BF1_BIPED_SPINE1;
    case SWT_BIPED_SPINE2: return BF1_BIPED_SPINE2;
    case SWT_BIPED_NECK: return BF1_BIPED_NECK;
    case SWT_BIPED_HEAD: return BF1_BIPED_HEAD;
    case SWT_BIPED_L_CLAVICLE: return BF1_BIPED_L_CLAVICLE;
    case SWT_BIPED_L_UPPERARM: return BF1_BIPED_L_UPPERARM;
    case SWT_BIPED_L_FOREARM: return BF1_BIPED_L_FOREARM;
    case SWT_BIPED_L_HAND: return BF1_BIPED_L_HAND;
    case SWT_BIPED_L_FINGER0: return BF1_BIPED_L_FINGER0;
    case SWT_BIPED_L_FINGER01: return BF1_BIPED_L_FINGER01;
    /* extra fingers unique to SWT */
    case SWT_BIPED_L_FINGER02:
    case SWT_BIPED_L_FINGER12:
    case SWT_BIPED_L_FINGER22:
    case SWT_BIPED_L_FINGER3:
    case SWT_BIPED_L_FINGER31:
    case SWT_BIPED_L_FINGER32:
    case SWT_BIPED_L_FINGER4:
    case SWT_BIPED_L_FINGER41:
    case SWT_BIPED_L_FINGER42:
    case SWT_BIPED_R_FINGER02:
    case SWT_BIPED_R_FINGER12:
    case SWT_BIPED_R_FINGER22:
    case SWT_BIPED_R_FINGER3:
    case SWT_BIPED_R_FINGER31:
    case SWT_BIPED_R_FINGER32:
    case SWT_BIPED_R_FINGER4:
    case SWT_BIPED_R_FINGER41:
    case SWT_BIPED_R_FINGER42:
      return BONE_FIRST_LINK;
    /* OK */
    case SWT_BIPED_L_FINGER1: return BF1_BIPED_L_FINGER1;
    case SWT_BIPED_L_FINGER11: return BF1_BIPED_L_FINGER11;
    case SWT_BIPED_L_FINGER2: return BF1_BIPED_L_FINGER2;
    case SWT_BIPED_L_FINGER21: return BF1_BIPED_L_FINGER21;
    case SWT_BIPED_R_CLAVICLE: return BF1_BIPED_R_CLAVICLE;
    case SWT_BIPED_R_UPPERARM: return BF1_BIPED_R_UPPERARM;
    case SWT_BIPED_R_FOREARM: return BF1_BIPED_R_FOREARM;
    case SWT_BIPED_R_HAND: return BF1_BIPED_R_HAND;
    case SWT_BIPED_R_FINGER0: return BF1_BIPED_R_FINGER0;
    case SWT_BIPED_R_FINGER01: return BF1_BIPED_R_FINGER01;
    case SWT_BIPED_R_FINGER1: return BF1_BIPED_R_FINGER1;
    case SWT_BIPED_R_FINGER11: return BF1_BIPED_R_FINGER11;
    case SWT_BIPED_R_FINGER2: return BF1_BIPED_R_FINGER2;
    case SWT_BIPED_R_FINGER21: return BF1_BIPED_R_FINGER21;
    case SWT_BIPED_L_THIGH: return BF1_BIPED_L_THIGH;
    case SWT_BIPED_L_CALF: return BF1_BIPED_L_CALF;
    case SWT_BIPED_L_FOOT: return BF1_BIPED_L_FOOT;
    case SWT_BIPED_L_TOE0: return BF1_BIPED_L_TOE0;
    case SWT_BIPED_R_THIGH: return BF1_BIPED_R_THIGH;
    case SWT_BIPED_R_CALF: return BF1_BIPED_R_CALF;
    case SWT_BIPED_R_FOOT: return BF1_BIPED_R_FOOT;
    case SWT_BIPED_R_TOE0: return BF1_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of KID skeleton\n", bone_id);
  return -1;
}

int reassign_bone_id_kid_to_swt(unsigned short bone_id) {
  switch (bone_id) {
    case KID_BIPED_PELVIS: return SWT_BIPED_PELVIS;
    case KID_BIPED_SPINE: return SWT_BIPED_SPINE;
    case KID_BIPED_SPINE1: return SWT_BIPED_SPINE1;
    case KID_BIPED_SPINE2: return SWT_BIPED_SPINE2;
    case KID_BIPED_NECK: return SWT_BIPED_NECK;
    case KID_BIPED_HEAD: return SWT_BIPED_HEAD;
    /* poyntails unique to KID */
    case KID_BIPED_PONYTAIL1:
    case KID_BIPED_PONYTAIL11:
    case KID_BIPED_PONYTAIL12:
    case KID_BIPED_PONYTAIL2:
    case KID_BIPED_PONYTAIL21:
    case KID_BIPED_PONYTAIL22:
      return BONE_FIRST_LINK;
    /* OK */
    case KID_BIPED_L_CLAVICLE: return SWT_BIPED_L_CLAVICLE;
    case KID_BIPED_L_UPPERARM: return SWT_BIPED_L_UPPERARM;
    case KID_BIPED_L_FOREARM: return SWT_BIPED_L_FOREARM;
    case KID_BIPED_L_HAND: return SWT_BIPED_L_HAND;
    case KID_BIPED_L_FINGER0: return SWT_BIPED_L_FINGER0;
    case KID_BIPED_L_FINGER01: return SWT_BIPED_L_FINGER01;
    case KID_BIPED_L_FINGER1: return SWT_BIPED_L_FINGER1;
    case KID_BIPED_L_FINGER11: return SWT_BIPED_L_FINGER11;
    case KID_BIPED_L_FINGER2: return SWT_BIPED_L_FINGER2;
    case KID_BIPED_L_FINGER21: return SWT_BIPED_L_FINGER21;
    case KID_BIPED_R_CLAVICLE: return SWT_BIPED_R_CLAVICLE;
    case KID_BIPED_R_UPPERARM: return SWT_BIPED_R_UPPERARM;
    case KID_BIPED_R_FOREARM: return SWT_BIPED_R_FOREARM;
    case KID_BIPED_R_HAND: return SWT_BIPED_R_HAND;
    case KID_BIPED_R_FINGER0: return SWT_BIPED_R_FINGER0;
    case KID_BIPED_R_FINGER01: return SWT_BIPED_R_FINGER01;
    case KID_BIPED_R_FINGER1: return SWT_BIPED_R_FINGER1;
    case KID_BIPED_R_FINGER11: return SWT_BIPED_R_FINGER11;
    case KID_BIPED_R_FINGER2: return SWT_BIPED_R_FINGER2;
    case KID_BIPED_R_FINGER21: return SWT_BIPED_R_FINGER21;
    case KID_BIPED_L_THIGH: return SWT_BIPED_L_THIGH;
    case KID_BIPED_L_CALF: return SWT_BIPED_L_CALF;
    case KID_BIPED_L_FOOT: return SWT_BIPED_L_FOOT;
    case KID_BIPED_L_TOE0: return SWT_BIPED_L_TOE0;
    case KID_BIPED_R_THIGH: return SWT_BIPED_R_THIGH;
    case KID_BIPED_R_CALF: return SWT_BIPED_R_CALF;
    case KID_BIPED_R_FOOT: return SWT_BIPED_R_FOOT;
    case KID_BIPED_R_TOE0: return SWT_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of KID skeleton\n", bone_id);
  return -1;
}

int reassign_bone_id_kid_to_tac(unsigned short bone_id) {
  switch (bone_id) {
    case KID_BIPED_PELVIS: return TAC_BIPED_PELVIS;
    case KID_BIPED_SPINE: return TAC_BIPED_SPINE;
    case KID_BIPED_SPINE1: return TAC_BIPED_SPINE1;
    case KID_BIPED_SPINE2: return TAC_BIPED_SPINE2;
    case KID_BIPED_NECK: return TAC_BIPED_NECK;
    case KID_BIPED_HEAD: return TAC_BIPED_HEAD;
    case KID_BIPED_PONYTAIL1: return TAC_BIPED_PONYTAIL1;
    case KID_BIPED_PONYTAIL11: return TAC_BIPED_PONYTAIL11;
    case KID_BIPED_PONYTAIL12: return TAC_BIPED_PONYTAIL12;
    /* kids have 6 ponytails */
    case KID_BIPED_PONYTAIL2:
    case KID_BIPED_PONYTAIL21:
    case KID_BIPED_PONYTAIL22:
      return BONE_FIRST_LINK;
    /* OK */
    case KID_BIPED_L_CLAVICLE: return TAC_BIPED_L_CLAVICLE;
    case KID_BIPED_L_UPPERARM: return TAC_BIPED_L_UPPERARM;
    case KID_BIPED_L_FOREARM: return TAC_BIPED_L_FOREARM;
    case KID_BIPED_L_HAND: return TAC_BIPED_L_HAND;
    case KID_BIPED_L_FINGER0: return TAC_BIPED_L_FINGER0;
    case KID_BIPED_L_FINGER01: return TAC_BIPED_L_FINGER01;
    case KID_BIPED_L_FINGER1: return TAC_BIPED_L_FINGER1;
    case KID_BIPED_L_FINGER11: return TAC_BIPED_L_FINGER11;
    case KID_BIPED_L_FINGER2: return TAC_BIPED_L_FINGER2;
    case KID_BIPED_L_FINGER21: return TAC_BIPED_L_FINGER21;
    case KID_BIPED_R_CLAVICLE: return TAC_BIPED_R_CLAVICLE;
    case KID_BIPED_R_UPPERARM: return TAC_BIPED_R_UPPERARM;
    case KID_BIPED_R_FOREARM: return TAC_BIPED_R_FOREARM;
    case KID_BIPED_R_HAND: return TAC_BIPED_R_HAND;
    case KID_BIPED_R_FINGER0: return TAC_BIPED_R_FINGER0;
    case KID_BIPED_R_FINGER01: return TAC_BIPED_R_FINGER01;
    case KID_BIPED_R_FINGER1: return TAC_BIPED_R_FINGER1;
    case KID_BIPED_R_FINGER11: return TAC_BIPED_R_FINGER11;
    case KID_BIPED_R_FINGER2: return TAC_BIPED_R_FINGER2;
    case KID_BIPED_R_FINGER21: return TAC_BIPED_R_FINGER21;
    case KID_BIPED_L_THIGH: return TAC_BIPED_L_THIGH;
    case KID_BIPED_L_CALF: return TAC_BIPED_L_CALF;
    case KID_BIPED_L_FOOT: return TAC_BIPED_L_FOOT;
    case KID_BIPED_L_TOE0: return TAC_BIPED_L_TOE0;
    case KID_BIPED_R_THIGH: return TAC_BIPED_R_THIGH;
    case KID_BIPED_R_CALF: return TAC_BIPED_R_CALF;
    case KID_BIPED_R_FOOT: return TAC_BIPED_R_FOOT;
    case KID_BIPED_R_TOE0: return TAC_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of KID skeleton\n", bone_id);
  return -1;
}

int reassign_bone_id_kid_to_bf1(unsigned short bone_id) {
  switch (bone_id) {
    case KID_BIPED_PELVIS: return BF1_BIPED_PELVIS;
    case KID_BIPED_SPINE: return BF1_BIPED_SPINE;
    case KID_BIPED_SPINE1: return BF1_BIPED_SPINE1;
    case KID_BIPED_SPINE2: return BF1_BIPED_SPINE2;
    case KID_BIPED_NECK: return BF1_BIPED_NECK;
    case KID_BIPED_HEAD: return BF1_BIPED_HEAD;
    /* poyntails unique to KID */
    case KID_BIPED_PONYTAIL1:
    case KID_BIPED_PONYTAIL11:
    case KID_BIPED_PONYTAIL12:
    case KID_BIPED_PONYTAIL2:
    case KID_BIPED_PONYTAIL21:
    case KID_BIPED_PONYTAIL22:
      return BONE_FIRST_LINK;
    /* OK */
    case KID_BIPED_L_CLAVICLE: return BF1_BIPED_L_CLAVICLE;
    case KID_BIPED_L_UPPERARM: return BF1_BIPED_L_UPPERARM;
    case KID_BIPED_L_FOREARM: return BF1_BIPED_L_FOREARM;
    case KID_BIPED_L_HAND: return BF1_BIPED_L_HAND;
    case KID_BIPED_L_FINGER0: return BF1_BIPED_L_FINGER0;
    case KID_BIPED_L_FINGER01: return BF1_BIPED_L_FINGER01;
    case KID_BIPED_L_FINGER1: return BF1_BIPED_L_FINGER1;
    case KID_BIPED_L_FINGER11: return BF1_BIPED_L_FINGER11;
    case KID_BIPED_L_FINGER2: return BF1_BIPED_L_FINGER2;
    case KID_BIPED_L_FINGER21: return BF1_BIPED_L_FINGER21;
    case KID_BIPED_R_CLAVICLE: return BF1_BIPED_R_CLAVICLE;
    case KID_BIPED_R_UPPERARM: return BF1_BIPED_R_UPPERARM;
    case KID_BIPED_R_FOREARM: return BF1_BIPED_R_FOREARM;
    case KID_BIPED_R_HAND: return BF1_BIPED_R_HAND;
    case KID_BIPED_R_FINGER0: return BF1_BIPED_R_FINGER0;
    case KID_BIPED_R_FINGER01: return BF1_BIPED_R_FINGER01;
    case KID_BIPED_R_FINGER1: return BF1_BIPED_R_FINGER1;
    case KID_BIPED_R_FINGER11: return BF1_BIPED_R_FINGER11;
    case KID_BIPED_R_FINGER2: return BF1_BIPED_R_FINGER2;
    case KID_BIPED_R_FINGER21: return BF1_BIPED_R_FINGER21;
    case KID_BIPED_L_THIGH: return BF1_BIPED_L_THIGH;
    case KID_BIPED_L_CALF: return BF1_BIPED_L_CALF;
    case KID_BIPED_L_FOOT: return BF1_BIPED_L_FOOT;
    case KID_BIPED_L_TOE0: return BF1_BIPED_L_TOE0;
    case KID_BIPED_R_THIGH: return BF1_BIPED_R_THIGH;
    case KID_BIPED_R_CALF: return BF1_BIPED_R_CALF;
    case KID_BIPED_R_FOOT: return BF1_BIPED_R_FOOT;
    case KID_BIPED_R_TOE0: return BF1_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of KID skeleton\n", bone_id);
  return -1;
}

int reassign_bone_id_tac_to_swt(unsigned short bone_id) {
  switch (bone_id) {
    case TAC_BIPED_PELVIS: return SWT_BIPED_PELVIS;
    case TAC_BIPED_SPINE: return SWT_BIPED_SPINE;
    case TAC_BIPED_SPINE1: return SWT_BIPED_SPINE1;
    case TAC_BIPED_SPINE2: return SWT_BIPED_SPINE2;
    case TAC_BIPED_NECK: return SWT_BIPED_NECK;
    case TAC_BIPED_HEAD: return SWT_BIPED_HEAD;
    /* ponytails unique to TAC */
    case TAC_BIPED_PONYTAIL1:
    case TAC_BIPED_PONYTAIL11:
    case TAC_BIPED_PONYTAIL12:
      return BONE_FIRST_LINK;
    /* OK */
    case TAC_BIPED_L_CLAVICLE: return SWT_BIPED_L_CLAVICLE;
    case TAC_BIPED_L_UPPERARM: return SWT_BIPED_L_UPPERARM;
    case TAC_BIPED_L_FOREARM: return SWT_BIPED_L_FOREARM;
    case TAC_BIPED_L_HAND: return SWT_BIPED_L_HAND;
    case TAC_BIPED_L_FINGER0: return SWT_BIPED_L_FINGER0;
    case TAC_BIPED_L_FINGER01: return SWT_BIPED_L_FINGER01;
    case TAC_BIPED_L_FINGER1: return SWT_BIPED_L_FINGER1;
    case TAC_BIPED_L_FINGER11: return SWT_BIPED_L_FINGER11;
    case TAC_BIPED_L_FINGER2: return SWT_BIPED_L_FINGER2;
    case TAC_BIPED_L_FINGER21: return SWT_BIPED_L_FINGER21;
    case TAC_BIPED_R_CLAVICLE: return SWT_BIPED_R_CLAVICLE;
    case TAC_BIPED_R_UPPERARM: return SWT_BIPED_R_UPPERARM;
    case TAC_BIPED_R_FOREARM: return SWT_BIPED_R_FOREARM;
    case TAC_BIPED_R_HAND: return SWT_BIPED_R_HAND;
    case TAC_BIPED_R_FINGER0: return SWT_BIPED_R_FINGER0;
    case TAC_BIPED_R_FINGER01: return SWT_BIPED_R_FINGER01;
    case TAC_BIPED_R_FINGER1: return SWT_BIPED_R_FINGER1;
    case TAC_BIPED_R_FINGER11: return SWT_BIPED_R_FINGER11;
    case TAC_BIPED_R_FINGER2: return SWT_BIPED_R_FINGER2;
    case TAC_BIPED_R_FINGER21: return SWT_BIPED_R_FINGER21;
    case TAC_BIPED_L_THIGH: return SWT_BIPED_L_THIGH;
    case TAC_BIPED_L_CALF: return SWT_BIPED_L_CALF;
    case TAC_BIPED_L_FOOT: return SWT_BIPED_L_FOOT;
    case TAC_BIPED_L_TOE0: return SWT_BIPED_L_TOE0;
    case TAC_BIPED_R_THIGH: return SWT_BIPED_R_THIGH;
    case TAC_BIPED_R_CALF: return SWT_BIPED_R_CALF;
    case TAC_BIPED_R_FOOT: return SWT_BIPED_R_FOOT;
    case TAC_BIPED_R_TOE0: return SWT_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of TAC skeleton\n", bone_id);
  return -1;
}

int reassign_bone_id_tac_to_kid(unsigned short bone_id) {
  switch (bone_id) {
    case TAC_BIPED_PELVIS: return KID_BIPED_PELVIS;
    case TAC_BIPED_SPINE: return KID_BIPED_SPINE;
    case TAC_BIPED_SPINE1: return KID_BIPED_SPINE1;
    case TAC_BIPED_SPINE2: return KID_BIPED_SPINE2;
    case TAC_BIPED_NECK: return KID_BIPED_NECK;
    case TAC_BIPED_HEAD: return KID_BIPED_HEAD;
    case TAC_BIPED_PONYTAIL1: return KID_BIPED_PONYTAIL1;
    case TAC_BIPED_PONYTAIL11: return KID_BIPED_PONYTAIL11;
    case TAC_BIPED_PONYTAIL12: return KID_BIPED_PONYTAIL12;
    case TAC_BIPED_L_CLAVICLE: return KID_BIPED_L_CLAVICLE;
    case TAC_BIPED_L_UPPERARM: return KID_BIPED_L_UPPERARM;
    case TAC_BIPED_L_FOREARM: return KID_BIPED_L_FOREARM;
    case TAC_BIPED_L_HAND: return KID_BIPED_L_HAND;
    case TAC_BIPED_L_FINGER0: return KID_BIPED_L_FINGER0;
    case TAC_BIPED_L_FINGER01: return KID_BIPED_L_FINGER01;
    case TAC_BIPED_L_FINGER1: return KID_BIPED_L_FINGER1;
    case TAC_BIPED_L_FINGER11: return KID_BIPED_L_FINGER11;
    case TAC_BIPED_L_FINGER2: return KID_BIPED_L_FINGER2;
    case TAC_BIPED_L_FINGER21: return KID_BIPED_L_FINGER21;
    case TAC_BIPED_R_CLAVICLE: return KID_BIPED_R_CLAVICLE;
    case TAC_BIPED_R_UPPERARM: return KID_BIPED_R_UPPERARM;
    case TAC_BIPED_R_FOREARM: return KID_BIPED_R_FOREARM;
    case TAC_BIPED_R_HAND: return KID_BIPED_R_HAND;
    case TAC_BIPED_R_FINGER0: return KID_BIPED_R_FINGER0;
    case TAC_BIPED_R_FINGER01: return KID_BIPED_R_FINGER01;
    case TAC_BIPED_R_FINGER1: return KID_BIPED_R_FINGER1;
    case TAC_BIPED_R_FINGER11: return KID_BIPED_R_FINGER11;
    case TAC_BIPED_R_FINGER2: return KID_BIPED_R_FINGER2;
    case TAC_BIPED_R_FINGER21: return KID_BIPED_R_FINGER21;
    case TAC_BIPED_L_THIGH: return KID_BIPED_L_THIGH;
    case TAC_BIPED_L_CALF: return KID_BIPED_L_CALF;
    case TAC_BIPED_L_FOOT: return KID_BIPED_L_FOOT;
    case TAC_BIPED_L_TOE0: return KID_BIPED_L_TOE0;
    case TAC_BIPED_R_THIGH: return KID_BIPED_R_THIGH;
    case TAC_BIPED_R_CALF: return KID_BIPED_R_CALF;
    case TAC_BIPED_R_FOOT: return KID_BIPED_R_FOOT;
    case TAC_BIPED_R_TOE0: return KID_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of TAC skeleton\n", bone_id);
  return -1;
}

int reassign_bone_id_tac_to_bf1(unsigned short bone_id) {
  switch (bone_id) {
    case TAC_BIPED_PELVIS: return BF1_BIPED_PELVIS;
    case TAC_BIPED_SPINE: return BF1_BIPED_SPINE;
    case TAC_BIPED_SPINE1: return BF1_BIPED_SPINE1;
    case TAC_BIPED_SPINE2: return BF1_BIPED_SPINE2;
    case TAC_BIPED_NECK: return BF1_BIPED_NECK;
    case TAC_BIPED_HEAD: return BF1_BIPED_HEAD;
    /* ponytails unique to TAC */
    case TAC_BIPED_PONYTAIL1:
    case TAC_BIPED_PONYTAIL11:
    case TAC_BIPED_PONYTAIL12:
      return BONE_FIRST_LINK;
    /* OK */
    case TAC_BIPED_L_CLAVICLE: return BF1_BIPED_L_CLAVICLE;
    case TAC_BIPED_L_UPPERARM: return BF1_BIPED_L_UPPERARM;
    case TAC_BIPED_L_FOREARM: return BF1_BIPED_L_FOREARM;
    case TAC_BIPED_L_HAND: return BF1_BIPED_L_HAND;
    case TAC_BIPED_L_FINGER0: return BF1_BIPED_L_FINGER0;
    case TAC_BIPED_L_FINGER01: return BF1_BIPED_L_FINGER01;
    case TAC_BIPED_L_FINGER1: return BF1_BIPED_L_FINGER1;
    case TAC_BIPED_L_FINGER11: return BF1_BIPED_L_FINGER11;
    case TAC_BIPED_L_FINGER2: return BF1_BIPED_L_FINGER2;
    case TAC_BIPED_L_FINGER21: return BF1_BIPED_L_FINGER21;
    case TAC_BIPED_R_CLAVICLE: return BF1_BIPED_R_CLAVICLE;
    case TAC_BIPED_R_UPPERARM: return BF1_BIPED_R_UPPERARM;
    case TAC_BIPED_R_FOREARM: return BF1_BIPED_R_FOREARM;
    case TAC_BIPED_R_HAND: return BF1_BIPED_R_HAND;
    case TAC_BIPED_R_FINGER0: return BF1_BIPED_R_FINGER0;
    case TAC_BIPED_R_FINGER01: return BF1_BIPED_R_FINGER01;
    case TAC_BIPED_R_FINGER1: return BF1_BIPED_R_FINGER1;
    case TAC_BIPED_R_FINGER11: return BF1_BIPED_R_FINGER11;
    case TAC_BIPED_R_FINGER2: return BF1_BIPED_R_FINGER2;
    case TAC_BIPED_R_FINGER21: return BF1_BIPED_R_FINGER21;
    case TAC_BIPED_L_THIGH: return BF1_BIPED_L_THIGH;
    case TAC_BIPED_L_CALF: return BF1_BIPED_L_CALF;
    case TAC_BIPED_L_FOOT: return BF1_BIPED_L_FOOT;
    case TAC_BIPED_L_TOE0: return BF1_BIPED_L_TOE0;
    case TAC_BIPED_R_THIGH: return BF1_BIPED_R_THIGH;
    case TAC_BIPED_R_CALF: return BF1_BIPED_R_CALF;
    case TAC_BIPED_R_FOOT: return BF1_BIPED_R_FOOT;
    case TAC_BIPED_R_TOE0: return BF1_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of TAC skeleton\n", bone_id);
  return -1;
}

int reassign_bone_id_bf1_to_swt(unsigned short bone_id) {
  switch (bone_id) {
    case BF1_BIPED_PELVIS: return SWT_BIPED_PELVIS;
    case BF1_BIPED_SPINE: return SWT_BIPED_SPINE;
    case BF1_BIPED_SPINE1: return SWT_BIPED_SPINE1;
    case BF1_BIPED_SPINE2: return SWT_BIPED_SPINE2;
    case BF1_BIPED_NECK: return SWT_BIPED_NECK;
    case BF1_BIPED_HEAD: return SWT_BIPED_HEAD;
    case BF1_BIPED_L_CLAVICLE: return SWT_BIPED_L_CLAVICLE;
    case BF1_BIPED_L_UPPERARM: return SWT_BIPED_L_UPPERARM;
    case BF1_BIPED_L_FOREARM: return SWT_BIPED_L_FOREARM;
    case BF1_BIPED_L_HAND: return SWT_BIPED_L_HAND;
    case BF1_BIPED_L_FINGER0: return SWT_BIPED_L_FINGER0;
    case BF1_BIPED_L_FINGER01: return SWT_BIPED_L_FINGER01;
    case BF1_BIPED_L_FINGER1: return SWT_BIPED_L_FINGER1;
    case BF1_BIPED_L_FINGER11: return SWT_BIPED_L_FINGER11;
    case BF1_BIPED_L_FINGER2: return SWT_BIPED_L_FINGER2;
    case BF1_BIPED_L_FINGER21: return SWT_BIPED_L_FINGER21;
    case BF1_BIPED_R_CLAVICLE: return SWT_BIPED_R_CLAVICLE;
    case BF1_BIPED_R_UPPERARM: return SWT_BIPED_R_UPPERARM;
    case BF1_BIPED_R_FOREARM: return SWT_BIPED_R_FOREARM;
    case BF1_BIPED_R_HAND: return SWT_BIPED_R_HAND;
    case BF1_BIPED_R_FINGER0: return SWT_BIPED_R_FINGER0;
    case BF1_BIPED_R_FINGER01: return SWT_BIPED_R_FINGER01;
    case BF1_BIPED_R_FINGER1: return SWT_BIPED_R_FINGER1;
    case BF1_BIPED_R_FINGER11: return SWT_BIPED_R_FINGER11;
    case BF1_BIPED_R_FINGER2: return SWT_BIPED_R_FINGER2;
    case BF1_BIPED_R_FINGER21: return SWT_BIPED_R_FINGER21;
    case BF1_BIPED_L_THIGH: return SWT_BIPED_L_THIGH;
    case BF1_BIPED_L_CALF: return SWT_BIPED_L_CALF;
    case BF1_BIPED_L_FOOT: return SWT_BIPED_L_FOOT;
    case BF1_BIPED_L_TOE0: return SWT_BIPED_L_TOE0;
    case BF1_BIPED_R_THIGH: return SWT_BIPED_R_THIGH;
    case BF1_BIPED_R_CALF: return SWT_BIPED_R_CALF;
    case BF1_BIPED_R_FOOT: return SWT_BIPED_R_FOOT;
    case BF1_BIPED_R_TOE0: return SWT_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of BF1 skeleton\n", bone_id);
  return -1;
}

int reassign_bone_id_bf1_to_kid(unsigned short bone_id) {
  switch (bone_id) {
    case BF1_BIPED_PELVIS: return KID_BIPED_PELVIS;
    case BF1_BIPED_SPINE: return KID_BIPED_SPINE;
    case BF1_BIPED_SPINE1: return KID_BIPED_SPINE1;
    case BF1_BIPED_SPINE2: return KID_BIPED_SPINE2;
    case BF1_BIPED_NECK: return KID_BIPED_NECK;
    case BF1_BIPED_HEAD: return KID_BIPED_HEAD;
    case BF1_BIPED_L_CLAVICLE: return KID_BIPED_L_CLAVICLE;
    case BF1_BIPED_L_UPPERARM: return KID_BIPED_L_UPPERARM;
    case BF1_BIPED_L_FOREARM: return KID_BIPED_L_FOREARM;
    case BF1_BIPED_L_HAND: return KID_BIPED_L_HAND;
    case BF1_BIPED_L_FINGER0: return KID_BIPED_L_FINGER0;
    case BF1_BIPED_L_FINGER01: return KID_BIPED_L_FINGER01;
    case BF1_BIPED_L_FINGER1: return KID_BIPED_L_FINGER1;
    case BF1_BIPED_L_FINGER11: return KID_BIPED_L_FINGER11;
    case BF1_BIPED_L_FINGER2: return KID_BIPED_L_FINGER2;
    case BF1_BIPED_L_FINGER21: return KID_BIPED_L_FINGER21;
    case BF1_BIPED_R_CLAVICLE: return KID_BIPED_R_CLAVICLE;
    case BF1_BIPED_R_UPPERARM: return KID_BIPED_R_UPPERARM;
    case BF1_BIPED_R_FOREARM: return KID_BIPED_R_FOREARM;
    case BF1_BIPED_R_HAND: return KID_BIPED_R_HAND;
    case BF1_BIPED_R_FINGER0: return KID_BIPED_R_FINGER0;
    case BF1_BIPED_R_FINGER01: return KID_BIPED_R_FINGER01;
    case BF1_BIPED_R_FINGER1: return KID_BIPED_R_FINGER1;
    case BF1_BIPED_R_FINGER11: return KID_BIPED_R_FINGER11;
    case BF1_BIPED_R_FINGER2: return KID_BIPED_R_FINGER2;
    case BF1_BIPED_R_FINGER21: return KID_BIPED_R_FINGER21;
    case BF1_BIPED_L_THIGH: return KID_BIPED_L_THIGH;
    case BF1_BIPED_L_CALF: return KID_BIPED_L_CALF;
    case BF1_BIPED_L_FOOT: return KID_BIPED_L_FOOT;
    case BF1_BIPED_L_TOE0: return KID_BIPED_L_TOE0;
    case BF1_BIPED_R_THIGH: return KID_BIPED_R_THIGH;
    case BF1_BIPED_R_CALF: return KID_BIPED_R_CALF;
    case BF1_BIPED_R_FOOT: return KID_BIPED_R_FOOT;
    case BF1_BIPED_R_TOE0: return KID_BIPED_R_TOE0;
  }

  ERROR("bone %u is not part of BF1 skeleton\n", bone_id);
  return -1;
}
