#ifndef CONVERT_H
#define CONVERT_H
#include "data.h"

GSM_API int make_swt(struct gsm *);
GSM_API int prepare_swt(struct gsm *);
GSM_API int kid_to_swt(struct gsm *);
GSM_API int tac_to_swt(struct gsm *);
GSM_API int bf1_to_swt(struct gsm *);
GSM_API int make_kid(struct gsm *);
GSM_API int prepare_kid(struct gsm *);
GSM_API int swt_to_kid(struct gsm *);
GSM_API int tac_to_kid(struct gsm *);
GSM_API int bf1_to_kid(struct gsm *);
GSM_API int make_tac(struct gsm *);
GSM_API int prepare_tac(struct gsm *);
GSM_API int swt_to_tac(struct gsm *);
GSM_API int kid_to_tac(struct gsm *);
GSM_API int mhx_to_tac(struct gsm *);
GSM_API int make_bf1(struct gsm *);
GSM_API int prepare_bf1(struct gsm *);
GSM_API int swt_to_bf1(struct gsm *);
GSM_API int kid_to_bf1(struct gsm *);
GSM_API int tac_to_bf1(struct gsm *);
GSM_API int mhx_to_bf1(struct gsm *);
GSM_API int fhx_to_bf1(struct gsm *);
GSM_API int make_default_skeleton(struct gsm *);
GSM_API int character_to_gun(struct gsm *);
GSM_API int add_flashlight(struct gsm *);
GSM_API int make_rifle(struct gsm *);
GSM_API int anim_xxx_to_yyy(struct gsm *, struct skeleton **(*)(), int (*)(unsigned short));
GSM_API int anim_kid_to_swt(struct gsm *);
GSM_API int anim_tac_to_swt(struct gsm *);
GSM_API int anim_bf1_to_swt(struct gsm *);
GSM_API int anim_swt_to_kid(struct gsm *);
GSM_API int anim_tac_to_kid(struct gsm *);
GSM_API int anim_bf1_to_kid(struct gsm *);
GSM_API int anim_swt_to_tac(struct gsm *);
GSM_API int anim_kid_to_tac(struct gsm *);
GSM_API int anim_swt_to_bf1(struct gsm *);
GSM_API int anim_kid_to_bf1(struct gsm *);
GSM_API int anim_tac_to_bf1(struct gsm *);

#endif
