#ifndef EXPORT_H
#define EXPORT_H

#define READ_MS_BUFFER_SIZE 256 /* for parsing Milkshape ASCII files */
#define READ_MS_NUM_FRAMES 1
#define READ_MS_NUM_MESHES 2
#define READ_MS_MESH_NAME 3
#define READ_MS_MESH_NUM_VERTICES 4
#define READ_MS_MESH_VERTICES 5
#define READ_MS_MESH_NUM_NORMALS 6
#define READ_MS_MESH_NORMALS 7
#define READ_MS_MESH_NUM_TRIANGLES 8
#define READ_MS_MESH_TRIANGLES 9
#define READ_MS_NUM_MATERIALS 10
#define READ_MS_MATERIAL_NAME 11
#define READ_MS_MATERIAL_AMBIENT 12
#define READ_MS_MATERIAL_DIFFUSE 13
#define READ_MS_MATERIAL_SPECULARITY 14
#define READ_MS_MATERIAL_EMISSIVE 15
#define READ_MS_MATERIAL_SHININESS 16
#define READ_MS_MATERIAL_TRANSPARENCY 17
#define READ_MS_MATERIAL_BITMAP 18
#define READ_MS_MATERIAL_ALPHAMAP 19
#define READ_MS_NUM_BONES 20
#define READ_MS_BONE_NAME 21
#define READ_MS_BONE_PARENT 22
#define READ_MS_BONE 23
#define READ_MS_BONE_NUM_POSITION_KEYS 24
#define READ_MS_BONE_NUM_POSITION_KEY 25
#define READ_MS_BONE_NUM_ROTATION_KEYS 26
#define READ_MS_BONE_NUM_ROTATION_KEY 27
#define READ_MS_FINISHED 666
#define READ_MS_STARTING READ_MS_NUM_MESHES

GSM_API int export_milkshape_ascii(struct gsm *);
#if 0
int write_milkshape_ascii_data(struct gsm *, struct ms_model *);
#endif
GSM_API int import_milkshape_ascii(struct gsm *);
#if 0
int read_milkshape_ascii_data(struct gsm *, struct ms_model *);
#endif

#endif
